package com.bonus.sharedstation.app.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

// 响应结果封装类
@Data
public class ApiResponseForPay {

    @JsonProperty("code")
    private Integer code;

    @JsonProperty("msg")
    private String msg;

    @JsonProperty("data")
    private PayReturnInfo data;

    // Getters and Setters

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public PayReturnInfo getData() {
        return data;
    }

    public void setData(PayReturnInfo data) {
        this.data = data;
    }
}

